import React, { PureComponent } from 'react';
import { connect } from 'react-redux';
// import { BrowserRouter, Route,Link } from 'react-router-dom';
import { actionCreators } from './store';
import { message,Tag,Spin, Table } from 'antd';

const error = (msg) => {
  message.error(msg);
};

class lockBinding extends PureComponent {
  render() {
    //const {locksotreDetail,loading,columns,data,pagination} = this.props;
    //let lockDetail2 = locksotreDetail.toJS();
    // console.log(lockDetail2)
    return (
      <div className="modal fade" id="lock-binding" role="dialog" aria-hidden="true" data-backdrop="static">
        <div className="modal-dialog modal-lg">
          <div className="modal-content clearfix">
            <div className="dialog-sheet">
              <button type="button" className="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true"><i className="fal fa-times"></i></span>
              </button>
              <div className="m-4">
                <div className="input-group bg-white shadow-inset-2">
                  <div className="input-group-prepend">
                    <span className="input-group-text bg-transparent border-right-0">
                      <i className="fal fa-search"></i>
                    </span>
                  </div>
                  <input type="text" className="form-control border-left-0 bg-transparent pl-0" placeholder="搜索联系人（姓名、手机、QQ、公司名称）"/>
                </div>
              </div>
            </div>
            <div className="p-4 border-top d-flex justify-content-center">
              <ul className="nav nav-pills" role="tablist">
                <li className="nav-item"><a className="nav-link active" data-toggle="tab" href="#">借出</a></li>
                <li className="nav-item"><a className="nav-link" data-toggle="tab" href="#2">销售</a></li>
                <li className="nav-item"><a className="nav-link" data-toggle="tab" href="#">赠送</a></li>
              </ul>
            </div>
            <div className="modal-search-height border-top border-bottom">
              <div className="slimScrol2 p-4 modal-search-result">
                <div className="card p-3 mb-3" title="点击关联该联系人">
                  <div className="row"><div className="col-1 pr-0">张三</div><div className="col-1 pr-0">处长</div><div className="col-2 pr-0">15800000001</div><div className="col-2 pr-0">1231233</div><div className="col-4 pr-0">珠海纵横创新软件有限公司</div><div className="col-auto ml-auto pl-0"><a href="#" className="btn btn-xs btn-outline-primary waves-effect waves-themed">选择ta</a></div></div>
                </div>
                <div className="card pointer-hover p-3 mb-3" title="点击关联该联系人">
                  <div className="row"><div className="col-1 pr-0">张三</div><div className="col-1 pr-0"></div><div className="col-2 pr-0">15800000001</div><div className="col-2 pr-0">1231233</div><div className="col-4 pr-0">珠海纵横创新软件有限公司</div><div className="col-auto ml-auto pl-0"><a href="#" className="btn btn-xs btn-outline-primary waves-effect waves-themed">选择ta</a></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }

  // 渲染完成时调回
  componentDidMount() {
  }
}

const mapStateToProps = (state) => {
  return {
  }
}

// 要改变store里的内容需要调用dispatch方法
const mapDispathToProps = (dispatch) => {
  return {
  }
}

export default connect(mapStateToProps, mapDispathToProps)(lockBinding);

